<template>
  <v-dialog v-model="dialogShow" max-width="20vw">
    <v-card dark class="mx-auto rounded-lg" max-width="434" tile>
      <v-img
        height="100%"
        src="https://miro.medium.com/max/2400/1*TG8yT-bltiG0FcRpx3YkRA.jpeg"
      >
        <v-row align="end" class="fill-height">
          <v-col align-self="start" class="pa-0" cols="12">
            <v-avatar class="profile" color="grey" size="164" tile>
              <v-img
                :src="this.item.image"
              ></v-img>
            </v-avatar>
          </v-col>
          <v-col class="py-0">
            <v-list-item color="rgba(0, 0, 0, .4)" dark>
              <v-list-item-content>
                <v-list-item-title class="title">
                  {{this.item.name}}
                </v-list-item-title>
                <v-list-item-subtitle>{{this.item.species}}</v-list-item-subtitle>
                <v-list-item-subtitle>{{this.item.gender}}</v-list-item-subtitle>
                <v-list-item-subtitle>{{this.item.status}}</v-list-item-subtitle>
                <v-list-item-subtitle>{{this.item.origin}}</v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>
          </v-col>
        </v-row>
      </v-img>

      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue darken-1" text @click="close"> Done </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
<script>
import { mapState, mapActions } from "vuex";
export default {
  name: "Profile",
  computed: {
    ...mapState({
      currentItem: (state) => state.currentItem,
      dialogState: (state) => state.dialog.dialogShow,
      item: (state) => state.currentItem,
    }),
    dialogShow: {
      get() {
        return this.dialogState;
      },
      set(value) {
        return this.SET_DIALOG({ key: "dialogShow", value });
      },
    },
  },
  data() {
    return {
      defaultItem: {
        id: "",
        name: "",
        status: "",
        species: "",
        type: "",
        gender: "",
        origin: "",
        location: "",
      },
    };
  },
  methods: {
    ...mapActions(["SET_DIALOG", "SET_CURRENT_ITEM"]),
    close() {
      this.SET_DIALOG({ key: "dialogShow", value: false });
      this.$nextTick(() => {
        this.SET_CURRENT_ITEM(this.defaultItem);
      });
    },
  },
};
</script>

<style>
</style>